---
description: "Join us at upcoming events and learn about past events!"
title: "Events"
sidebar_position: 3

---

import { EventList, filterEvents } from "@site/src/components/lists/EventList";
import UpcomingEvents from './_upcoming-events.mdx'
import PastEvents from './_past-events.mdx'
import OngoingEvents from './_ongoing-events.mdx'



Join us at upcoming events and learn about past events! 

[Subscribe to our newsletter](http://eepurl.com/gZ0rzb) to receive information about future events!


<div className="cover-banner">
  <img src="/img/documentation/events-upcoming-photo-(c-Bergart).jpeg" alt="Making Links event photo" />
</div>



  
{(function () {

  const ongoingEventsExist = Object.keys(filterEvents("Ongoing")).length > 0;

  if (Object.keys(filterEvents("Ongoing")).length > 0) {
  const item = {
    id: "ongoing-events",
    value: "Ongoing Events",
    level: 2,
  };

  const itemExists = toc.some(tocItem => tocItem.id === item.id);

  if (!itemExists) {
    toc.push(item);
  }
  }
  return ongoingEventsExist ? <OngoingEvents/> : null;
})()}


{(function () {

  const upcomingEventsExist = Object.keys(filterEvents("Upcoming")).length > 0;

  if (Object.keys(filterEvents("Upcoming")).length > 0) {
  const item = {
    id: "upcoming-events",
    value: "Upcoming Events",
    level: 2,
  };

  const itemExists = toc.some(tocItem => tocItem.id === item.id);

  if (!itemExists) {
    toc.push(item);
  }
  }
  return upcomingEventsExist ? <UpcomingEvents/> : null;
})()}

{(function () {

  const pastEventsExist = Object.keys(filterEvents("Past")).length > 0;

  if (Object.keys(filterEvents("Past")).length > 0) {
  
    const item = {
      id: "past-events",
      value: "Past Events",
      level: 2,
  };

  const itemExists = toc.some(tocItem => tocItem.id === item.id);

  if (!itemExists) {
    toc.push(item);
  }
  
  
  }
  return pastEventsExist ? <PastEvents/> : null;
})()}



